Sympa::Spindle::ResendArchive(3Sympa)

NAME
Sympa::Spindle::ResendArchive - Workflow of resending messages in archive

SYNOPSIS
  use Sympa::Spindle::ResendArchive;

  my $spindle = Sympa::Spindle::ResendArchive->new(
      resent_by => $email, context => $list, arc => $arc,
      message_id => $message_id);
  $spindle->spin;

DESCRIPTION
Sympa::Spindle::ResendArchive defines workflow for resending of messages in archive.

When spin() method is invoked, it reads a message in archive, decorate and distribute it. Either resending failed or not, spin() will terminate processing.

  Public methods
See also "Public methods" in Sympa::Spindle.

new ( resent_by => $email, context => $list, arc => $arc, message_id => $message_id, [ quiet => 1 ] )
spin ( )
    new() must take following options:

    resent_by => $email
        E-mail address of the user who requested resending message. It is given by do_send_me() function of wwsympa.fcgi and used by Sympa::Spindle::ToList to whom distribute message.

    context => $list
    arc => $arc
    message_id => $message_id
        Context (List), archive and message ID to specify the message in archive.

        Note: "arc" parameter will be used by a latter part of processing, Sympa::Spindle::TransformOutgoing to construct "Archived-At" field.

    quiet => 1
        NOT YET IMPLEMENTED.

        If this option is set, automatic replies reporting result of processing to the user (see "resent_by") will not be sent.

  Properties
See also "Properties" in Sympa::Spindle.

{distaff}
    Instance of Sympa::Archive class.

{finish}
    'success' is set if processing succeeded. 'failure' is set if processing failed.

SEE ALSO
Sympa::Archive, Sympa::Message, Sympa::Spindle, Sympa::Spindle::ToList, Sympa::Spindle::TransformOutgoing.

HISTORY
Sympa::Spindle::ResendArchive appeared on Sympa 6.2.13.